import os

MAX_MEMORY = 256
MAX_GPU_COUNT = 8
MAX_CPU = 48

MIN_CPU = 1
MIN_MEMORY = 2

DEFAULT_COOLDOWN = 60
DEFAULT_CPU = 3
DEFAULT_MEMORY = 12
DEFAULT_MIN_REPLICAS = 0
DEFAULT_MAX_REPLICAS = 5
DEFAULT_GPU_SELECTION = "AMPERE_A10"
DEFAULT_PYTHON_VERSION = "3.11"
DEFAULT_GPU_COUNT = 1
DEFAULT_CUDA_VERSION = "12"
DEFAULT_LOG_LEVEL = "INFO"

DEFAULT_INCLUDE = "[./*, main.py, cerebrium.toml]"
DEFAULT_EXCLUDE = "[./example_exclude]"

PREDICT_FILE = "_cerebrium_predict.json"
PIP_REQUIREMENTS_FILE = "requirements.txt"
CONDA_REQUIREMENTS_FILE = "conda_pkglist.txt"
APT_REQUIREMENTS_FILE = "pkglist.txt"
SHELL_COMMANDS_FILE = "shell_commands.sh"

INTERNAL_FILES = [
    PIP_REQUIREMENTS_FILE,
    CONDA_REQUIREMENTS_FILE,
    APT_REQUIREMENTS_FILE,
    PREDICT_FILE,
    SHELL_COMMANDS_FILE,
]
env = os.getenv("ENV", "prod")
